com.ihr.xbrl.om.instance

## Class XBRLFactsContainer

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XBRLFact>
      - - com.ihr.xbrl.om.instance.XBRLFactsContainer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XBRLFact>, java.util.Collection<XBRLFact>, java.util.List<XBRLFact>, java.util.RandomAccess

      public class XBRLFactsContainer
      extends java.util.Vector<XBRLFact>

  a tuple and an instance document are derived classes of this class.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFactsContainer(XBRLFactsList parent)` Creates a facts container and sets the parent doc to the parent Instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, XBRLFact fact)`
    `boolean` | `add(XBRLFact fact)`
    `void` | `clear()`
    `void` | `clearFacts()` The clear method removes all facts form the container and also sets the parent to null.
    `boolean` | `equals(java.lang.Object obj)`
    `DTSContainer` | `getContainer()` Gets the container.
    `XBRLInstance` | `getInstance()` Gets the single instance of XBRLFactsContainer.
    `java.util.Iterator<java.util.Vector<XBRLFactItem>>` | `getItems()` Gets the items.
    `java.util.Iterator<XBRLFactItem>` | `getItems(XBRLItem itemFrom)` Gets the items.
    `java.util.Iterator<XBRLFactItem>` | `getItemsSg(XBRLItem itemFrom)` Gets the items sg.
    `int` | `getNumberOfTuples()` Gets the number of tuples.
    `XBRLFactsList` | `getParent()` Gets the parent.
    `java.util.Iterator<java.util.Vector<XBRLFactTuple>>` | `getTuples()` Gets the tuples.
    `java.util.Iterator<XBRLFactTuple>` | `getTuples(XBRLTuple tupleFrom)` Gets the tuples.
    `java.util.Iterator<XBRLFactTuple>` | `getTuplesSg(XBRLTuple tupleFrom)` Gets the tuples sg.
    `int` | `hashCode()`
    `boolean` | `isReadingContent()` This method returns true if this class instance is in the middle of the process to read instance document content.
    `java.util.Iterator<XBRLFact>` | `iterator()`
    `boolean` | `remove(XBRLFact fact)` Removes the.
    `void` | `setParent(XBRLFactsList parent)` Sets the parent.

    - ### Methods inherited from class java.util.Vector

      `addAll, addAll, addElement, capacity, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLFactsContainer

          public XBRLFactsContainer(XBRLFactsList parent)

      Creates a facts container and sets the parent doc to the parent Instance.
      Parameters:
        `parent` - the parent instance

  - ### Method Detail

    - #### getParent

          public XBRLFactsList getParent()

      Gets the parent.
      Returns:
        the parent

    - #### setParent

          public void setParent(XBRLFactsList parent)

      Sets the parent.
      Parameters:
        `parent` - the new parent

    - #### add

          public boolean add(XBRLFact fact)

      Specified by:
        `add` in interface `java.util.Collection<XBRLFact>`
      Specified by:
        `add` in interface `java.util.List<XBRLFact>`
      Overrides:
        `add` in class `java.util.Vector<XBRLFact>`

    - #### add

          public void add(int index,
                 XBRLFact fact)

      Specified by:
        `add` in interface `java.util.List<XBRLFact>`
      Overrides:
        `add` in class `java.util.Vector<XBRLFact>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<XBRLFact>`
      Specified by:
        `clear` in interface `java.util.List<XBRLFact>`
      Overrides:
        `clear` in class `java.util.Vector<XBRLFact>`

    - #### remove

          public boolean remove(XBRLFact fact)

      Removes the.
      Parameters:
        `fact` - the fact
      Returns:
        true, if successful

    - #### getInstance

          public XBRLInstance getInstance()

      Gets the single instance of XBRLFactsContainer.
      Returns:
        single instance of XBRLFactsContainer

    - #### iterator

          public java.util.Iterator<XBRLFact> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<XBRLFact>`
      Specified by:
        `iterator` in interface `java.util.Collection<XBRLFact>`
      Specified by:
        `iterator` in interface `java.util.List<XBRLFact>`
      Overrides:
        `iterator` in class `java.util.Vector<XBRLFact>`

    - #### getItems

          public java.util.Iterator<java.util.Vector<XBRLFactItem>> getItems()

      Gets the items.
      Returns:
        the items

    - #### getItems

          public java.util.Iterator<XBRLFactItem> getItems(XBRLItem itemFrom)

      Gets the items.
      Parameters:
        `itemFrom` - the item from
      Returns:
        the items

    - #### getItemsSg

          public java.util.Iterator<XBRLFactItem> getItemsSg(XBRLItem itemFrom)

      Gets the items sg.
      Parameters:
        `itemFrom` - the item from
      Returns:
        the items sg

    - #### getTuplesSg

          public java.util.Iterator<XBRLFactTuple> getTuplesSg(XBRLTuple tupleFrom)

      Gets the tuples sg.
      Parameters:
        `tupleFrom` - the tuple from
      Returns:
        the tuples sg

    - #### getTuples

          public java.util.Iterator<java.util.Vector<XBRLFactTuple>> getTuples()

      Gets the tuples.
      Returns:
        the tuples

    - #### getTuples

          public java.util.Iterator<XBRLFactTuple> getTuples(XBRLTuple tupleFrom)

      Gets the tuples.
      Parameters:
        `tupleFrom` - the tuple from
      Returns:
        the tuples

    - #### getNumberOfTuples

          public int getNumberOfTuples()

      Gets the number of tuples.
      Returns:
        the number of tuples

    - #### isReadingContent

          public boolean isReadingContent()

      This method returns true if this class instance is in the middle of the process to read instance document content. It is used internally to avoid false reset of the isModified flag in the instance document when a new fact is added to it
      Returns:
        true, if is reading content

    - #### getContainer

          public DTSContainer getContainer()

      Gets the container.
      Returns:
        the container

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Collection<XBRLFact>`
      Specified by:
        `hashCode` in interface `java.util.List<XBRLFact>`
      Overrides:
        `hashCode` in class `java.util.Vector<XBRLFact>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Collection<XBRLFact>`
      Specified by:
        `equals` in interface `java.util.List<XBRLFact>`
      Overrides:
        `equals` in class `java.util.Vector<XBRLFact>`

    - #### clearFacts

          public void clearFacts()

      The clear method removes all facts form the container and also sets the parent to null. This call only removes all facts but does not sets the parent to null.
      Since:
        2.7.4